Bug 1307677 - k3b: FTBFS in rawhide
Summary: k3b: FTBFS in rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: k3b
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Radek Novacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F24FTBFS
TreeView+ depends on / blocked
 
Reported: 2016-02-13 21:41 UTC by Fedora Release Engineering
Modified: 2016-12-01 00:35 UTC (History)
9 users (show)

Fixed In Version: k3b-2.0.3-11.fc24 k3b-2.0.3-11.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-01 16:53:52 UTC
Type: ---


Attachments (Terms of Use)
build.log (288.70 KB, text/plain)
2016-02-13 21:41 UTC, Fedora Release Engineering
no flags Details
root.log (152.16 KB, text/plain)
2016-02-13 21:41 UTC, Fedora Release Engineering
no flags Details
state.log (605 bytes, text/plain)
2016-02-13 21:41 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2016-02-13 21:41:11 UTC
Your package k3b failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12826649

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

Comment 1 Fedora Release Engineering 2016-02-13 21:41:16 UTC
Created attachment 1125095 [details]
build.log

Comment 2 Fedora Release Engineering 2016-02-13 21:41:19 UTC
Created attachment 1125096 [details]
root.log

Comment 3 Fedora Release Engineering 2016-02-13 21:41:22 UTC
Created attachment 1125097 [details]
state.log

Comment 4 Jan Kurik 2016-02-24 14:50:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 5 Rex Dieter 2016-08-28 16:24:08 UTC
Here's the specific error inline:

/builddir/build/BUILD/k3b-2.0.3/libk3b/tools/k3bwavefilewriter.cpp: In member function 'void K3b::WaveFileWriter::writeEmptyHeader()':
/builddir/build/BUILD/k3b-2.0.3/libk3b/tools/k3bwavefilewriter.cpp:125:9: error: narrowing conversion of '172' from 'int' to 'char' inside { } [-Wnarrowing]

Comment 6 Upstream Release Monitoring 2016-08-28 16:49:29 UTC
rdieter's k3b-2.0.3-11.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=795013

Comment 7 Fedora Update System 2016-08-28 20:02:53 UTC
k3b-2.0.3-11.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd8e848620

Comment 8 Fedora Update System 2016-08-28 20:03:23 UTC
k3b-2.0.3-11.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3c6b904939

Comment 9 Fedora Update System 2016-08-29 09:03:12 UTC
k3b-2.0.3-11.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd8e848620

Comment 10 Fedora Update System 2016-08-29 22:53:17 UTC
k3b-2.0.3-11.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3c6b904939

Comment 11 Fedora Update System 2016-09-01 16:53:48 UTC
k3b-2.0.3-11.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-09-04 17:40:09 UTC
k3b-2.0.3-11.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.